## EGL Specific Support EGL Specific Support — EGL specific API |

## Functions

EGLDisplay | clutter_egl_display ()
EGLDisplay | clutter_eglx_display ()
EGLDisplay | clutter_egl_get_egl_display ()
void | clutter_egl_set_kms_fd ()

## Description

The EGL backend for Clutter provides some EGL specific API

You need to include `clutter-egl.h` to have access to the functions documented here.

## Functions

### clutter_egl_display ()

    EGLDisplay
    clutter_egl_display (void);

`clutter_egl_display` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_egl_get_egl_display()` instead.

Retrieves the EGL display used by Clutter.

#### Returns

the EGL display used by Clutter, or 0

Since 0.6

### clutter_eglx_display ()

    EGLDisplay
    clutter_eglx_display (void);

`clutter_eglx_display` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_egl_get_egl_display()` instead.

Retrieves the EGL display used by Clutter.

#### Returns

the EGL display, or 0

Since 0.6

### clutter_egl_get_egl_display ()

    EGLDisplay
    clutter_egl_get_egl_display (void);

Retrieves the EGL display used by Clutter, if it supports the EGL windowing system and if it is running using an EGL backend.

#### Returns

the EGL display used by Clutter, or 0

Since 1.6

### clutter_egl_set_kms_fd ()

    void
    clutter_egl_set_kms_fd (int fd);

Sets the fd that Cogl should use to talk to the kms driver. Setting this to a negative value effectively reverts this call, making Cogl open the device itself.

This can only be called before `clutter_init()` is called.

#### Parameters

fd | The fd to talk to the kms driver with |

Since 1.18

## Types and Values